<!DOCTYPE PATCH  SYSTEM "http://vvvv.org/versions/vvvv50beta35.8.dtd" >
   <PATCH nodename="C:\Users\nsynk\Desktop\ws-node17-openvr\Switcher\SubPatches\Patchswitcher.v4p" systemname="Patchswitcher" filename="C:\vvvv\vvvv_50alpha35.7_x64\packs\VVVV.OpenVR\girlpower\Workshop_NODE17\Testing\Switcher\SubPatches\Patchswitcher.v4p" scrollx="0" scrolly="0">
   <BOUNDS type="Window" left="7215" top="735" width="13920" height="15015">
   </BOUNDS>
   <PACK Name="addonpack" Version="35.0.0">
   </PACK>
   <NODE systemname="SubDir (File)" nodename="SubDir (File)" componentmode="Hidden" id="2">
   <BOUNDS type="Node" left="4140" top="1240" width="1750" height="270">
   </BOUNDS>
   <PIN pinname="Directory" visible="1">
   </PIN>
   <PIN pinname="File Count" visible="1">
   </PIN>
   <PIN pinname="Subdirectories" visible="1">
   </PIN>
   <PIN pinname="Update" slicecount="1" visible="1" values="0">
   </PIN>
   </NODE>
   <NODE nodename="IOBox (String)" componentmode="InABox" id="3">
   <BOUNDS type="Box" left="4140" top="560" width="800" height="240">
   </BOUNDS>
   <BOUNDS type="Node" left="4140" top="560" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Input String" slicecount="1" visible="1" values="..\Content">
   </PIN>
   <PIN pinname="Default" slicecount="1" values="||">
   </PIN>
   <PIN pinname="File Mask" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Maximum Characters" slicecount="1" values="-1">
   </PIN>
   <PIN pinname="String Type" slicecount="1" values="Directory">
   </PIN>
   <PIN pinname="Output String" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="3" srcpinname="Output String" dstnodeid="2" dstpinname="Directory">
   </LINK>
   <NODE nodename="IOBox (Value Advanced)" componentmode="InABox" id="4">
   <BOUNDS type="Box" left="6110" top="1690" width="300" height="240">
   </BOUNDS>
   <BOUNDS type="Node" left="6110" top="1690" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Units" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Precision" slicecount="1" values="4">
   </PIN>
   <PIN pinname="Value Type" slicecount="1" values="Integer">
   </PIN>
   <PIN pinname="Descriptive Name" slicecount="1" values="|# patches|">
   </PIN>
   <PIN pinname="Pin Visibility" slicecount="1" values="False">
   </PIN>
   </NODE>
   <LINK srcnodeid="2" srcpinname="File Count" dstnodeid="4" dstpinname="Y Input Value">
   </LINK>
   <NODE nodename="IOBox (Node)" componentmode="InABox" id="6">
   <BOUNDS type="Box" left="530" top="840" width="800" height="240">
   </BOUNDS>
   <BOUNDS type="Node" left="530" top="840" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Descriptive Name" slicecount="1" values="Patch">
   </PIN>
   <PIN pinname="Output Node" visible="1">
   </PIN>
   </NODE>
   <NODE systemname="GetPatch (VVVV)" nodename="GetPatch (VVVV)" componentmode="Hidden" id="7">
   <BOUNDS type="Node" left="530" top="1450" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Patch" visible="1">
   </PIN>
   <PIN pinname="Patch Path" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="6" srcpinname="Output Node" dstnodeid="7" dstpinname="Patch">
   </LINK>
   <NODE systemname="Separate (String)" nodename="Separate (String)" componentmode="Hidden" id="8">
   <BOUNDS type="Node" left="700" top="1890" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Input" visible="1">
   </PIN>
   <PIN pinname="Intersperse" slicecount="1" values="DosPath">
   </PIN>
   <PIN pinname="Output" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="7" srcpinname="Patch Path" dstnodeid="8" dstpinname="Input">
   </LINK>
   <NODE systemname="CDR (String)" nodename="CDR (String)" componentmode="Hidden" id="9">
   <BOUNDS type="Node" left="700" top="2650" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Input" visible="1">
   </PIN>
   <PIN pinname="Last Slice" visible="1">
   </PIN>
   </NODE>
   <NODE nodename="IOBox (String)" componentmode="InABox" id="10">
   <BOUNDS type="Box" left="1080" top="6530" width="1310" height="270">
   </BOUNDS>
   <BOUNDS type="Node" left="1080" top="6530" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Default" slicecount="1" values="||">
   </PIN>
   <PIN pinname="File Mask" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Maximum Characters" slicecount="1" values="-1">
   </PIN>
   <PIN pinname="String Type" slicecount="1" values="Multiline">
   </PIN>
   <PIN pinname="Descriptive Name" slicecount="1" values="|current patch|">
   </PIN>
   <PIN pinname="Pin Visibility" slicecount="1" values="True">
   </PIN>
   </NODE>
   <LINK srcnodeid="9" srcpinname="Last Slice" dstnodeid="10" dstpinname="Input String">
   </LINK>
   <NODE systemname="CDR (String)" nodename="CDR (String)" componentmode="Hidden" id="11">
   <BOUNDS type="Node" left="700" top="2300" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Input" visible="1" slicecount="1" values="text">
   </PIN>
   <PIN pinname="Last Slice" visible="1">
   </PIN>
   <PIN pinname="Remainder" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="8" srcpinname="Output" dstnodeid="11" dstpinname="Input">
   </LINK>
   <LINK srcnodeid="11" srcpinname="Remainder" dstnodeid="9" dstpinname="Input">
   </LINK>
   <NODE systemname="Separate (String)" nodename="Separate (String)" componentmode="Hidden" id="14">
   <BOUNDS type="Node" left="4140" top="2160" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Input" visible="1" slicecount="1" values="text">
   </PIN>
   <PIN pinname="Intersperse" slicecount="1" values="DosPath">
   </PIN>
   <PIN pinname="Output" visible="1">
   </PIN>
   <PIN pinname="Former Index" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="2" srcpinname="Subdirectories" dstnodeid="14" dstpinname="Input">
   </LINK>
   <NODE systemname="CountIndices (Spreads)" nodename="CountIndices (Spreads)" componentmode="Hidden" id="16">
   <BOUNDS type="Node" left="4830" top="2520" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Spread Count" visible="1" slicecount="1" values="0">
   </PIN>
   <PIN pinname="Indices" visible="1">
   </PIN>
   <PIN pinname="Index Hit Count" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="14" srcpinname="Former Index" dstnodeid="16" dstpinname="Indices">
   </LINK>
   <LINK srcnodeid="2" srcpinname="File Count" dstnodeid="16" dstpinname="Spread Count">
   </LINK>
   <NODE systemname="CDR (String Bin)" nodename="CDR (String Bin)" componentmode="Hidden" id="13" filename="%VVVV%\lib\nodes\plugins\VVVV.Nodes.dll">
   <BOUNDS type="Node" left="4140" top="2750" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Input" visible="1" slicecount="1" values="text">
   </PIN>
   <PIN pinname="Last Slice" visible="1">
   </PIN>
   <PIN pinname="Remainder" visible="1">
   </PIN>
   <PIN pinname="Bin Size" slicecount="1" visible="1" values="2">
   </PIN>
   <BOUNDS type="Box" left="4140" top="2750">
   </BOUNDS>
   </NODE>
   <LINK srcnodeid="14" srcpinname="Output" dstnodeid="13" dstpinname="Input">
   </LINK>
   <LINK srcnodeid="16" srcpinname="Index Hit Count" dstnodeid="13" dstpinname="Bin Size">
   </LINK>
   <NODE systemname="CDR (String Bin)" nodename="CDR (String Bin)" componentmode="Hidden" id="20" filename="%VVVV%\lib\nodes\plugins\VVVV.Nodes.dll">
   <BOUNDS type="Node" left="4140" top="3290" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Input" visible="1" slicecount="1" values="text">
   </PIN>
   <PIN pinname="Last Slice" visible="1">
   </PIN>
   <PIN pinname="Remainder" visible="1">
   </PIN>
   <PIN pinname="Bin Size" slicecount="1" visible="1" values="2">
   </PIN>
   <BOUNDS type="Box" left="4140" top="3290">
   </BOUNDS>
   </NODE>
   <LINK srcnodeid="13" srcpinname="Remainder" dstnodeid="20" dstpinname="Input">
   </LINK>
   <NODE systemname="Subtract (Value)" nodename="Subtract (Value)" componentmode="Hidden" id="21">
   <BOUNDS type="Node" left="4830" top="3060" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Input 2" slicecount="1" visible="1" values="1">
   </PIN>
   <PIN pinname="Input 1" visible="1">
   </PIN>
   <PIN pinname="Output" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="16" srcpinname="Index Hit Count" dstnodeid="21" dstpinname="Input 1">
   </LINK>
   <LINK srcnodeid="21" srcpinname="Output" dstnodeid="20" dstpinname="Bin Size">
   </LINK>
   <NODE nodename="IOBox (String)" componentmode="InABox" id="22">
   <BOUNDS type="Box" left="4520" top="4910" width="1200" height="2400">
   </BOUNDS>
   <BOUNDS type="Node" left="4520" top="4910" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Default" slicecount="1" values="||">
   </PIN>
   <PIN pinname="File Mask" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Maximum Characters" slicecount="1" values="-1">
   </PIN>
   <PIN pinname="Rows" slicecount="1" values="10">
   </PIN>
   <PIN pinname="Descriptive Name" slicecount="1" values="|patch list|">
   </PIN>
   <PIN pinname="Pin Visibility" slicecount="1" values="True">
   </PIN>
   </NODE>
   <LINK srcnodeid="20" srcpinname="Last Slice" dstnodeid="22" dstpinname="Input String">
   </LINK>
   <NODE nodename="IOBox (Value Advanced)" componentmode="InABox" id="23">
   <BOUNDS type="Box" left="5290" top="2870" width="300" height="240">
   </BOUNDS>
   <BOUNDS type="Node" left="5290" top="2870" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Y Input Value" slicecount="1" visible="1" values="1">
   </PIN>
   <PIN pinname="Units" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Precision" slicecount="1" values="4">
   </PIN>
   <PIN pinname="Value Type" slicecount="1" values="Integer">
   </PIN>
   </NODE>
   <LINK srcnodeid="23" srcpinname="Y Output Value" dstnodeid="21" dstpinname="Input 2">
   </LINK>
   <NODE systemname="IOBox (Value Advanced)" nodename="IOBox (Value Advanced)" componentmode="InABox" id="24">
   <BOUNDS type="Node" left="10450" top="2370" width="100" height="100">
   </BOUNDS>
   <BOUNDS type="Box" left="10450" top="2370" width="480" height="480">
   </BOUNDS>
   <PIN pinname="Value Type" slicecount="1" values="Boolean">
   </PIN>
   <PIN pinname="Behavior" slicecount="1" values="Bang">
   </PIN>
   <PIN pinname="Y Output Value" visible="1">
   </PIN>
   <PIN pinname="X Input Value" slicecount="1" values="0">
   </PIN>
   <PIN pinname="Y Input Value" slicecount="1" visible="1" values="0">
   </PIN>
   <PIN pinname="Descriptive Name" slicecount="1" values="Switch">
   </PIN>
   </NODE>
   <NODE systemname="IOBox (Value Advanced)" nodename="IOBox (Value Advanced)" componentmode="InABox" id="25">
   <BOUNDS type="Node" left="8765" top="2370" width="100" height="100">
   </BOUNDS>
   <BOUNDS type="Box" left="8765" top="2370" width="430" height="240">
   </BOUNDS>
   <PIN pinname="Value Type" slicecount="1" values="Integer">
   </PIN>
   <PIN pinname="Y Output Value" visible="1">
   </PIN>
   <PIN pinname="Y Input Value" slicecount="1" visible="1" values="4">
   </PIN>
   <PIN pinname="Descriptive Name" slicecount="1" values="|patch id|">
   </PIN>
   </NODE>
   <NODE systemname="Sift (String)" nodename="Sift (String)" componentmode="Hidden" id="26">
   <BOUNDS type="Node" left="3180" top="3980" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Input" visible="1">
   </PIN>
   <PIN pinname="Filter" visible="1">
   </PIN>
   <PIN pinname="Hits" visible="1">
   </PIN>
   <PIN pinname="Comparison" slicecount="1" visible="-1" pintype="Input" values="MatchesAny">
   </PIN>
   <PIN pinname="Case Sensitive" visible="-1" pintype="Input" slicecount="1" values="0">
   </PIN>
   <PIN pinname="Filter Index" visible="-1" pintype="Output">
   </PIN>
   <PIN pinname="Found At Position" visible="-1" pintype="Output">
   </PIN>
   <PIN pinname="Input Index" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="20" srcpinname="Last Slice" dstnodeid="26" dstpinname="Input" linkstyle="Bezier">
   <LINKPOINT x="4530" y="3765">
   </LINKPOINT>
   <LINKPOINT x="3240" y="3765">
   </LINKPOINT>
   </LINK>
   <LINK srcnodeid="9" srcpinname="Last Slice" dstnodeid="26" dstpinname="Filter" linkstyle="Bezier">
   <LINKPOINT x="1140" y="3445">
   </LINKPOINT>
   <LINKPOINT x="3490" y="3445">
   </LINKPOINT>
   </LINK>
   <NODE nodename="IOBox (Value Advanced)" componentmode="InABox" id="27">
   <BOUNDS type="Box" left="3180" top="4900" width="480" height="2430">
   </BOUNDS>
   <BOUNDS type="Node" left="3180" top="4900" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Units" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Precision" slicecount="1" values="4">
   </PIN>
   <PIN pinname="Value Type" slicecount="1" values="Boolean">
   </PIN>
   <PIN pinname="Behavior" slicecount="1" values="Toggle">
   </PIN>
   <PIN pinname="Rows" slicecount="1" values="10">
   </PIN>
   <PIN pinname="Descriptive Name" slicecount="1" values="|active patch|">
   </PIN>
   <PIN pinname="Pin Visibility" slicecount="1" values="True">
   </PIN>
   </NODE>
   <LINK srcnodeid="26" srcpinname="Hits" dstnodeid="27" dstpinname="Y Input Value">
   </LINK>
   <NODE nodename="IOBox (Value Advanced)" componentmode="InABox" id="28">
   <BOUNDS type="Box" left="3480" top="4390" width="300" height="240">
   </BOUNDS>
   <BOUNDS type="Node" left="3480" top="4390" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Units" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Precision" slicecount="1" values="4">
   </PIN>
   <PIN pinname="Value Type" slicecount="1" values="Integer">
   </PIN>
   <PIN pinname="Descriptive Name" slicecount="1" values="|active patch id|">
   </PIN>
   <PIN pinname="Pin Visibility" slicecount="1" values="False">
   </PIN>
   </NODE>
   <LINK srcnodeid="26" srcpinname="Input Index" dstnodeid="28" dstpinname="Y Input Value">
   </LINK>
   <NODE systemname="PatchAlias (VVVV)" nodename="PatchAlias (VVVV)" componentmode="Hidden" id="30">
   <BOUNDS type="Node" left="6930" top="10650" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Parent Level" slicecount="1" values="1">
   </PIN>
   <PIN pinname="Patch" visible="1">
   </PIN>
   </NODE>
   <NODE systemname="GetSlice (String)" nodename="GetSlice (String)" componentmode="Hidden" id="31">
   <BOUNDS type="Node" left="6550" top="2780" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Input" visible="1">
   </PIN>
   <PIN pinname="Output" visible="1">
   </PIN>
   <PIN pinname="Index" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="2" srcpinname="Subdirectories" dstnodeid="31" dstpinname="Input">
   </LINK>
   <NODE systemname="Add (String)" nodename="Add (String)" componentmode="Hidden" id="32">
   <BOUNDS type="Node" left="6540" top="4190" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Input 1" visible="1">
   </PIN>
   <PIN pinname="Input 2" visible="1">
   </PIN>
   <PIN pinname="Output" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="31" srcpinname="Output" dstnodeid="32" dstpinname="Input 1">
   </LINK>
   <NODE nodename="IOBox (String)" componentmode="InABox" id="33">
   <BOUNDS type="Box" left="6720" top="3420" width="800" height="240">
   </BOUNDS>
   <BOUNDS type="Node" left="6720" top="3420" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Input String" slicecount="1" visible="1" values="Root.v4p">
   </PIN>
   <PIN pinname="Default" slicecount="1" values="text">
   </PIN>
   <PIN pinname="File Mask" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Maximum Characters" slicecount="1" values="-1">
   </PIN>
   </NODE>
   <LINK srcnodeid="33" srcpinname="Output String" dstnodeid="32" dstpinname="Input 2">
   </LINK>
   <NODE systemname="Exists (File)" nodename="Exists (File)" componentmode="Hidden" id="34">
   <BOUNDS type="Node" left="9435" top="10215" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Filename" visible="1">
   </PIN>
   <PIN pinname="Read" visible="1">
   </PIN>
   <PIN pinname="Exists" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="32" srcpinname="Output" dstnodeid="34" dstpinname="Filename" linkstyle="Bezier">
   <LINKPOINT x="6550" y="6460">
   </LINKPOINT>
   <LINKPOINT x="9480" y="8210">
   </LINKPOINT>
   </LINK>
   <NODE systemname="AND (Boolean)" nodename="AND (Boolean)" componentmode="Hidden" id="35">
   <BOUNDS type="Node" left="8730" top="10950" width="1500" height="270">
   </BOUNDS>
   <PIN pinname="Input 1" visible="1" slicecount="1" values="1">
   </PIN>
   <PIN pinname="Input 2" visible="1">
   </PIN>
   <PIN pinname="Output" visible="1">
   </PIN>
   <PIN pinname="Input Count" slicecount="1" values="3">
   </PIN>
   <PIN pinname="Input 3" visible="1">
   </PIN>
   </NODE>
   <NODE systemname="GetPatch (VVVV)" nodename="GetPatch (VVVV)" componentmode="Hidden" id="39">
   <BOUNDS type="Node" left="6930" top="11120" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Patch" visible="1" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Patch Path" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="30" srcpinname="Patch" dstnodeid="39" dstpinname="Patch">
   </LINK>
   <NODE systemname="CreateNode (VVVV)" nodename="CreateNode (VVVV)" componentmode="Hidden" id="44">
   <BOUNDS type="Node" left="6550" top="12280" width="2250" height="270">
   </BOUNDS>
   <PIN pinname="Create Node" visible="1" slicecount="1" values="0">
   </PIN>
   <PIN pinname="Node ID" visible="1" slicecount="1" values="94">
   </PIN>
   <PIN pinname="Parent Patch" visible="1" slicecount="1" values="self">
   </PIN>
   <PIN pinname="Node Name" visible="1" slicecount="1" values="C:\vvvv\vvvv_50alpha35.7_x64\packs\VVVV.OpenVR\girlpower\Workshop_NODE17\Testing\Switcher\Content\SampleBoxes\Root.v4p">
   </PIN>
   <PIN pinname="Can Create" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="32" srcpinname="Output" dstnodeid="44" dstpinname="Node Name">
   </LINK>
   <LINK srcnodeid="39" srcpinname="Patch Path" dstnodeid="44" dstpinname="Parent Patch">
   </LINK>
   <NODE nodename="IOBox (Value Advanced)" componentmode="InABox" id="45" systemname="IOBox (Value Advanced)">
   <BOUNDS type="Box" left="7650" top="11690" width="800" height="240">
   </BOUNDS>
   <BOUNDS type="Node" left="7650" top="11690" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Units" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Precision" slicecount="1" values="4">
   </PIN>
   <PIN pinname="Value Type" slicecount="1" values="Integer">
   </PIN>
   <PIN pinname="Descriptive Name" slicecount="1" values="ID">
   </PIN>
   <PIN pinname="Y Output Value" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="45" srcpinname="Y Output Value" dstnodeid="44" dstpinname="Node ID">
   </LINK>
   <LINK srcnodeid="35" srcpinname="Output" dstnodeid="44" dstpinname="Create Node">
   </LINK>
   <NODE systemname="EQ (Value)" nodename="EQ (Value)" componentmode="Hidden" id="48">
   <BOUNDS type="Node" left="8340" top="10215" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Input 1" visible="1">
   </PIN>
   <PIN pinname="Input 2" visible="1">
   </PIN>
   <PIN pinname="Inverse Output" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="26" srcpinname="Input Index" dstnodeid="48" dstpinname="Input 1" linkstyle="Bezier">
   <LINKPOINT x="3550" y="6355">
   </LINKPOINT>
   <LINKPOINT x="8340" y="8105">
   </LINKPOINT>
   </LINK>
   <LINK srcnodeid="34" srcpinname="Exists" dstnodeid="35" dstpinname="Input 2">
   </LINK>
   <LINK srcnodeid="48" srcpinname="Inverse Output" dstnodeid="35" dstpinname="Input 1">
   </LINK>
   <NODE nodename="IOBox (String)" componentmode="InABox" id="49">
   <BOUNDS type="Node" left="6780" top="3700" width="2170" height="230">
   </BOUNDS>
   <BOUNDS type="Box" left="6780" top="3700" width="1300" height="420">
   </BOUNDS>
   <PIN pinname="Input String" visible="0" slicecount="1" values="|patches must have this name!|">
   </PIN>
   <PIN pinname="Output String" visible="0">
   </PIN>
   <PIN pinname="Show Grid" slicecount="1" values="0">
   </PIN>
   <PIN pinname="String Type" slicecount="1" values="MultiLine">
   </PIN>
   </NODE>
   <NODE systemname="Patchselector" filename="SubPatches\Patchselector.v4p" componentmode="Hidden" id="51" nodename="SubPatches\Patchselector.v4p" debug="0" stayontop="0">
   <BOUNDS type="Node" left="8775" top="1120" width="3420" height="270">
   </BOUNDS>
   <BOUNDS type="Box" left="8775" top="1120" width="4800" height="3600">
   </BOUNDS>
   <BOUNDS type="Window" left="7600" top="4280" width="28960" height="16450">
   </BOUNDS>
   <PIN pinname="patch id" visible="1" slicecount="1" values="0">
   </PIN>
   <PIN pinname="Switch" visible="1" slicecount="1" values="0">
   </PIN>
   <PIN pinname="Layer Out" visible="1">
   </PIN>
   <PIN pinname="System" visible="1" slicecount="1" values="||">
   </PIN>
   <PIN pinname="active Patch ID" visible="1">
   </PIN>
   <PIN pinname="Mesh Names" visible="1">
   </PIN>
   <PIN pinname="Update" visible="1">
   </PIN>
   </NODE>
   <NODE nodename="IOBox (Node)" componentmode="InABox" id="52">
   <BOUNDS type="Box" left="8775" top="480" width="800" height="240">
   </BOUNDS>
   <BOUNDS type="Node" left="8775" top="480" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Input Node" slicecount="1" visible="1" values="||">
   </PIN>
   <PIN pinname="Descriptive Name" slicecount="1" values="System">
   </PIN>
   </NODE>
   <LINK srcnodeid="52" srcpinname="Output Node" dstnodeid="51" dstpinname="System">
   </LINK>
   <NODE nodename="IOBox (Node)" componentmode="InABox" id="53">
   <BOUNDS type="Box" left="12130" top="5930" width="800" height="240">
   </BOUNDS>
   <BOUNDS type="Node" left="12130" top="5930" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Descriptive Name" slicecount="1" values="|Layer Out|">
   </PIN>
   </NODE>
   <LINK srcnodeid="51" srcpinname="Layer Out" dstnodeid="53" dstpinname="Input Node">
   </LINK>
   <LINK srcnodeid="26" srcpinname="Input Index" dstnodeid="51" dstpinname="active Patch ID" linkstyle="Bezier" hiddenwhenlocked="1">
   <LINKPOINT x="15115" y="5900">
   </LINKPOINT>
   <LINKPOINT x="13270" y="700">
   </LINKPOINT>
   </LINK>
   <LINK srcnodeid="20" srcpinname="Last Slice" dstnodeid="51" dstpinname="Mesh Names" linkstyle="Bezier" hiddenwhenlocked="1">
   <LINKPOINT x="14575" y="5750">
   </LINKPOINT>
   <LINKPOINT x="11670" y="430">
   </LINKPOINT>
   </LINK>
   <NODE nodename="IOBox (Value Advanced)" componentmode="InABox" id="54">
   <BOUNDS type="Box" left="10990" top="280" width="480" height="480">
   </BOUNDS>
   <BOUNDS type="Node" left="10990" top="280" width="0" height="0">
   </BOUNDS>
   <PIN pinname="Y Input Value" slicecount="1" visible="1" values="0">
   </PIN>
   <PIN pinname="Units" slicecount="1" values="||">
   </PIN>
   <PIN pinname="Precision" slicecount="1" values="4">
   </PIN>
   <PIN pinname="Value Type" slicecount="1" values="Boolean">
   </PIN>
   <PIN pinname="Behavior" slicecount="1" values="Bang">
   </PIN>
   <PIN pinname="Descriptive Name" slicecount="1" values="Update">
   </PIN>
   <PIN pinname="Y Output Value" visible="1">
   </PIN>
   <PIN pinname="X Input Value" slicecount="1" values="0">
   </PIN>
   </NODE>
   <LINK srcnodeid="54" srcpinname="Y Output Value" dstnodeid="2" dstpinname="Update" linkstyle="VHV">
   <LINKPOINT x="11023" y="995">
   </LINKPOINT>
   <LINKPOINT x="5857" y="995">
   </LINKPOINT>
   </LINK>
   <LINK srcnodeid="54" srcpinname="Y Output Value" dstnodeid="51" dstpinname="Update">
   </LINK>
   <LINK srcnodeid="51" srcpinname="patch id" dstnodeid="25" dstpinname="Y Input Value">
   </LINK>
   <LINK srcnodeid="51" srcpinname="Switch" dstnodeid="24" dstpinname="Y Input Value">
   </LINK>
   <NODE systemname="IOBox (Value Advanced)" nodename="IOBox (Value Advanced)" componentmode="InABox" id="55">
   <BOUNDS type="Node" left="5760" top="4920" width="100" height="100">
   </BOUNDS>
   <BOUNDS type="Box" left="5760" top="4920" width="285" height="2400">
   </BOUNDS>
   <PIN pinname="Value Type" slicecount="1" values="Boolean">
   </PIN>
   <PIN pinname="Behavior" slicecount="1" values="Bang">
   </PIN>
   <PIN pinname="Rows" slicecount="1" values="10">
   </PIN>
   <PIN pinname="SliceCount Mode" slicecount="1" values="ColsRowsPages">
   </PIN>
   <PIN pinname="Y Output Value" visible="1">
   </PIN>
   <PIN pinname="X Input Value" slicecount="10" values="0,0,0,0,0,0,0,0,0,0">
   </PIN>
   <PIN pinname="Y Input Value" slicecount="10" values="0,0,0,0,0,0,0,0,0,0">
   </PIN>
   <PIN pinname="Descriptive Name" slicecount="1" values="switch">
   </PIN>
   </NODE>
   <NODE systemname="Select (Value)" filename="%VVVV%\lib\nodes\plugins\VVVV.Nodes.dll" nodename="Select (Value)" componentmode="Hidden" id="56">
   <BOUNDS type="Node" left="5280" top="7770" width="100" height="100">
   </BOUNDS>
   <BOUNDS type="Box" left="5280" top="7770" width="3000" height="3000">
   </BOUNDS>
   <PIN pinname="Select" visible="1">
   </PIN>
   <PIN pinname="Former Slice" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="55" srcpinname="Y Output Value" dstnodeid="56" dstpinname="Select">
   </LINK>
   <NODE systemname="S+H (Animation)" nodename="S+H (Animation)" componentmode="Hidden" id="57">
   <BOUNDS type="Node" left="5760" top="8280" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Input" visible="1">
   </PIN>
   <PIN pinname="Set" visible="1">
   </PIN>
   <PIN pinname="Output" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="56" srcpinname="Former Slice" dstnodeid="57" dstpinname="Input">
   </LINK>
   <NODE systemname="OR (Boolean Spectral)" nodename="OR (Boolean Spectral)" componentmode="Hidden" id="58">
   <BOUNDS type="Node" left="6120" top="7785" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Input" visible="1">
   </PIN>
   <PIN pinname="Output" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="55" srcpinname="Y Output Value" dstnodeid="58" dstpinname="Input">
   </LINK>
   <LINK srcnodeid="58" srcpinname="Output" dstnodeid="57" dstpinname="Set">
   </LINK>
   <NODE systemname="OR (Boolean)" nodename="OR (Boolean)" componentmode="Hidden" id="59">
   <BOUNDS type="Node" left="10155" top="8430" width="360" height="270">
   </BOUNDS>
   <PIN pinname="Input 2" visible="1">
   </PIN>
   <PIN pinname="Output" visible="1">
   </PIN>
   <PIN pinname="Input 1" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="24" srcpinname="Y Output Value" dstnodeid="59" dstpinname="Input 2">
   </LINK>
   <LINK srcnodeid="59" srcpinname="Output" dstnodeid="34" dstpinname="Read">
   </LINK>
   <LINK srcnodeid="59" srcpinname="Output" dstnodeid="35" dstpinname="Input 3">
   </LINK>
   <LINK srcnodeid="58" srcpinname="Output" dstnodeid="59" dstpinname="Input 1" linkstyle="Bezier">
   <LINKPOINT x="6180" y="8228">
   </LINKPOINT>
   <LINKPOINT x="10155" y="8228">
   </LINKPOINT>
   </LINK>
   <NODE systemname="Switch (Value Input)" nodename="Switch (Value Input)" componentmode="Hidden" id="60">
   <BOUNDS type="Node" left="8520" top="9780" width="100" height="100">
   </BOUNDS>
   <PIN pinname="Switch" visible="1">
   </PIN>
   <PIN pinname="Input 2" visible="1">
   </PIN>
   <PIN pinname="Input 1" visible="1">
   </PIN>
   <PIN pinname="Output" visible="1">
   </PIN>
   </NODE>
   <LINK srcnodeid="58" srcpinname="Output" dstnodeid="60" dstpinname="Switch" linkstyle="Bezier">
   <LINKPOINT x="6180" y="8853">
   </LINKPOINT>
   <LINKPOINT x="8520" y="8953">
   </LINKPOINT>
   </LINK>
   <LINK srcnodeid="57" srcpinname="Output" dstnodeid="60" dstpinname="Input 2" linkstyle="Bezier">
   <LINKPOINT x="5820" y="9150">
   </LINKPOINT>
   <LINKPOINT x="9015" y="9150">
   </LINKPOINT>
   </LINK>
   <LINK srcnodeid="25" srcpinname="Y Output Value" dstnodeid="60" dstpinname="Input 1">
   </LINK>
   <LINK srcnodeid="60" srcpinname="Output" dstnodeid="31" dstpinname="Index" linkstyle="Bezier" hiddenwhenlocked="1">
   <LINKPOINT x="7890" y="10490">
   </LINKPOINT>
   <LINKPOINT x="9240" y="1570">
   </LINKPOINT>
   </LINK>
   <LINK srcnodeid="60" srcpinname="Output" dstnodeid="48" dstpinname="Input 2">
   </LINK>
   </PATCH>